hmmstat(1)

NAME
hmmstat - summary statistics for a profile file

SYNOPSIS
hmmstat [options] hmmfile

DESCRIPTION
The hmmstat utility prints out a tabular file of summary statistics for each profile in hmmfile.

hmmfile may be '-' (a dash character), in which case profiles are read from a stdin pipe instead of from a file.

The columns are:

idx The index of this profile, numbering each profile in the file starting from 1.

name
    The name of the profile.

accession
    The optional accession of the profile, or "-" if there is none.

nseq
    The number of sequences that the profile was estimated from.

eff_nseq
    The effective number of sequences that the profile was estimated from, after HMMER applied an effective sequence number calculation such as the default entropy weighting.

M   The length of the model in consensus residues (match states).

relent
    Mean relative entropy per match state, in bits. This is the expected (mean) score per consensus position. This is what the default entropy-weighting method for effective sequence number estimation focuses on, so for default HMMER3 models, you expect this value to reflect the default target for entropy-weighting.

info
    Mean information content per match state, in bits. Probably not useful. Information content is a slightly different calculation than relative entropy.

p relE
    Mean positional relative entropy, in bits. This is a fancier version of the per-match-state relative entropy, taking into account the transition (insertion/deletion) probabilities; it may be a more accurate estimation of the average score contributed per model consensus position.

compKL
    Kullback-Leibler divergence from the default background frequency distribution to the average composition of the profile's consensus match states, in bits. The higher this number, the more biased the residue composition of the profile is. Highly biased profiles can slow the HMMER3 acceleration pipeline, by causing too many nonhomologous sequences to pass the filters.

OPTIONS

-h  Help; print a brief reminder of command line usage and all available options.

SEE ALSO
See hmmer(1) for a master man page with a list of all the individual man pages for programs in the HMMER package.

For complete documentation, see the user guide that came with your HMMER distribution (Userguide.pdf); or see the HMMER web page (http://hmmer.org/).

COPYRIGHT
Copyright (C) 2019 Howard Hughes Medical Institute.
Freely distributed under the BSD open source license.
For additional information on copyright and licensing, see the file called COPYRIGHT in your HMMER source distribution, or see the HMMER web page (http://hmmer.org/).

AUTHOR
http://eddylab.org